﻿/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
}
/*
    2. Remove default margin
  */
* {
    margin: 0;
}
/*
    Typographic tweaks!
    3. Add accessible line-height
    4. Improve text rendering
  */
body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    font-family: 'poppins', sans-serif;
    background: white;
}
/*
    5. Improve media defaults
  */
img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}
/*
    6. Remove built-in form typography styles
  */
input, button, textarea, select {
    font: inherit;
}
/*
    7. Avoid text overflows
  */
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}
/*
    8. Create a root stacking context
  */
#root, #__next {
    isolation: isolate;
}

.wrapper {
    /* background: #fbf4e0; */
    /* min-height: 100vh; */
    /* padding: 15px; */
    /* width: 100%; */
}

.main,
.Main {
    max-width: 550px;
    margin: auto;
    padding: 15px;
    /* background: white; */
    /* position: absolute; */
    /* top: 50%; */
    /* transform: translate(-50%,-50%); */
    left: 50%;
    /* min-height: 85vh; */
    /* width: 100%; */
    /* height: 100%; */
}

@media screen and (min-width: 500px) {
    .main {
        padding: 30px;
    }
}

h1 {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.15;
    margin-bottom: 1.5rem;
}

.Main h3 {
    text-align: center;
}

.content.footer {
    margin-top: 3rem;
}

.heading {
    font-size: 1.2rem;
    font-weight: 700;
    line-height: 1.15;
    margin-bottom: 1.5rem;
    text-align: center;
}


.tlsb-logo {
    margin: 2rem auto;
    max-width: 310px;
    height: auto;
    padding: 15px;
    vertical-align: top;
}


    .tlsb-logo svg {
        width: 100px;
        height: auto;
        display: inline-block;
        float: left;
    }

    .tlsb-logo .logo-type {
        width: 180px;
        font-size: 24px;
        font-weight: 900;
        display: inline-block;
        line-height: 1.25;
        padding: 5px;
    }

        .tlsb-logo .logo-type span {
            color: #e6b223;
        }

.content,
.section {
    text-align: center;
    margin-bottom: 1rem;
}

    .content h1 {
        font-size: 1.2rem;
    }

a {
    color: #dfb02c;
    text-decoration: underline;
}

.button {
    display: inline-block;
    font-weight: 700;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem 1.25rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .5rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    min-height: 44px;
}

.button-primary,
.button-primary:hover {
    background: #dfb02c;
    border-color: #dfb02c;
    color: black;
}

    .button-primary:active {
        background: #f9d05d;
        border-color: #f9d05d;
        color: black;
    }

.section .button {
    display: flex;
    align-items: center;
}

.resend-form {
    display: flex;
    justify-content: center;
}

.Main .button {
    margin-right: 10px;
}

.Main .promo-code-group .button {
    margin-right: 0;
}

.forgotpassword {
    margin-top: 0.5rem;
    display: block;
    float: right;
}

.form-group {
    /* margin-bottom: 0.5rem; */
}

.form-control {
    /* display: block; */
    width: calc(100% - 1.5rem);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 2px solid #dad5ce;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    margin-bottom: 1rem;
    min-height: 44px;
    width: 100%;
}

    .form-control:focus {
        border-color: #f9d05d;
        outline: 0;
    }

.promo-code-group .form-control {
    width: calc(100% - 1.5rem);
}

.promo-code-group .button {
    margin-left: -72px;
    margin-top: -2px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.errorbox, label.error {
    color: #7b2617;
    background: #fad9d2 linear-gradient(180deg, #fbdfd9, #fad9d2) repeat-x;
    border-color: #e74e32;
    padding: 15px;
    display: block;
    margin-bottom: 1rem;
    margin-top: -.75rem;
}

input.error {
    outline: 1px solid #e74e32;
    border-color: #e74e32;
}

label.error {
    margin-bottom: 1rem;
    margin-top: -.75rem;
}

.Success {
    background: #FFF6E9;
    padding: 30px;
    text-align: center;
    font-weight: bold;
    font-size: 140%;
    margin-bottom: 1rem;
    border-radius: 6px;
}

    .Success a {
        font-weight: normal;
        font-size: 1rem;
    }

h1.success-heading {
    background: url(../images/icon-success-circle.svg);
    background-size: 75px;
    background-repeat: no-repeat;
    background-position: top center;
    padding-top: 85px;
    text-align: center;
    color: #dfb02c;
}

.sectionbold {
    margin: 2rem 0 0;
    color: #dfb02c;
}

.gold {
    margin-left: 5px;
    color: #dfb02c;
    display: inline-block;
}

    .gold:after {
        content: '';
        display: block;
        margin-left: 5px;
        height: 30px;
        width: 30px;
        float: right;
        background: url(../images/icon-success.svg);
        background-size: 44px;
        background-repeat: no-repeat;
        background-position: center;
    }

.feature {
    margin: 1rem 0;
    padding: 30px;
    background: rgba(233, 197, 90, 0.25);
    border-radius: 6px;
}

.app-logo-container {
    margin: 0.5rem 0 0;
}

    .app-logo-container a {
        display: inline-block;
    }

    .app-logo-container img {
        width: 180px;
        height: auto;
        display: inline-block;
    }

.sectionsmall {
    margin-top: 2rem;
}

@media (prefers-color-scheme: dark) {
    body {
        background-color: #131313;
        color: white;
    }

    .Success {
        background-color: rgba(233, 197, 90, 0.25);
    }
}
